# Generalized Arrays for CHICKEN Scheme

This repository holds a work-in-progress implementation of a generalized array
library for CHICKEN Scheme (with associated storage classes).

## Installation instructions

    $ chicken-install -s generalized-arrays

## Dependencies

This installs both the {{generalized-arrays}} module and {{storage-classes}}
module. This egg depends on the following eggs:

    check-errors
    matchable
    numbers (CHICKEN 4 only)
    srfi-133
    typed-records

Note that numbers is only included as a dependency for complex number support,
but otherwise these eggs should not affect regular usage.

## Usage

For a complete set of documentation, see the [CHICKEN 4
wiki](http://wiki.call-cc.org/eggref/4/generalized-arrays) or [CHICKEN 5
wiki](http://wiki.call-cc.org/eggref/5/generalized-arrays).

## LICENSE

Code is distributed according to the 3-clause BSD license. See LICENSE for more
details.
